#pragma once

#include <malloc.h>

class Matrix {
private:
	double *data;

public:
	int m, n;
	double **table;
	Matrix(int _m, int _n);
	void Row_8(int row, double a, double b, double c, double d, double e, double f, double g, double h);
	void Debug();
	void Debug(char* name);

	static void Multiply(Matrix* a, Matrix* b, Matrix* c);
	static void Transpose(Matrix* a, Matrix* b);
	void Invert();

	~Matrix() {
		free(data);
		free(table);
	}
};
